601,100
562,"SUBSET"
586,"}sm_controls"
585,"}sm_controls"
564,
565,"hdlITYA=aXVZ0>^Uf9^=h95`T[?@`mW@^D@dP1qeGChysxRHEG^t7rOzUyu44xJl@N209kEc1Lwprgy]sfWi2XKu^Ei>BVa\rTR;[AlP@TDNto7c=\gHQNj1xKdMbbhfxP6f\lY=>;q[i@pyQ32[UQ^I;1cP@6vjuNVyhqFvXOhlwCWf\:;au\xNR\bkOj0^47p]Uz]>"
559,0
593,
594,
595,
597,
598,
596,
800,
801,
566,0
567,","
588,"."
589,
568,""""
570,
571,subman_single
569,0
592,0
599,1000
560,9
pTemplate
pDimension
pSubset
pLoadSubset
pAliasName
pAppendName
pTaskType
pObjectType
pPlan
561,9
2
2
2
2
2
2
2
2
2
590,9
pTemplate,""
pDimension,""
pSubset,""
pLoadSubset,""
pAliasName,""
pAppendName,"Y"
pTaskType,"Delegation"
pObjectType,""
pPlan,""
637,9
pTemplate,Template
pDimension,Source Dimension
pSubset,Source Subset
pLoadSubset,Load Subset
pAliasName,Alias Name
pAppendName,Append Name (Y/N)
pTaskType,Task Type
pObjectType,Object Type
pPlan,Type
577,0
578,0
579,0
580,0
581,0
582,1
IgnoredInputVarName=V1	VarType=32	ColType=1165	
572,19

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****


vObjectPrefix = attrs('}sm_controls', 'subman_object_prefix', 'value');
vObjectSeparator = attrs('}sm_controls', 'subman_object_separator', 'value');

if (pObjectType @= 'VERSION');
vTaskDimension = vObjectPrefix | 'sm_templatetasks'  | vObjectSeparator | pTemplate;
elseif (pObjectType @= 'WIZARD');
vTaskDimension = vObjectPrefix | pTemplate;
else;
vTaskDimension = vObjectPrefix | 'sm_versiontasks'  | vObjectSeparator | pPlan | vObjectSeparator | pTemplate;
endif;

vExistingDimension = pDimension;


573,37

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****



if (pDimension @<> '' & pSubset @<> '');


vLoadSize = SUBSETGETSIZE(vTaskDimension, pLoadSubset);
vLoadIndex = 1;
while (vLoadIndex <= vLoadSize);
vLoadElement = SUBSETGETELEMENTNAME(vTaskDimension, pLoadSubset, vLoadIndex);

vDimSize = SUBSETGETSIZE(vExistingDimension, pSubset);
vIndex = 1;
while (vIndex <= vDimSize);
vElement = vLoadElement | '-' | SUBSETGETELEMENTNAME(vExistingDimension, pSubset, vIndex);


DIMENSIONELEMENTCOMPONENTADD(vTaskDimension, vLoadElement, vElement, 1);

vGroup = '}' | 'smt_' | pTemplate | '_' | vElement;
vGroupIndex = DIMIX('}groups', vGroup);

if (vGroupIndex = 0);
#ADDGROUP(vGroup);
endif;

vIndex = vIndex + 1;
end;

vLoadIndex = vLoadIndex + 1;
end;

endif;

574,3

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****
575,73

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****

vSourceDimension = pDimension;


vLoadSize = SUBSETGETSIZE(vTaskDimension, pLoadSubset);
vLoadIndex = 1;
while (vLoadIndex <= vLoadSize);
vLoadElement = SUBSETGETELEMENTNAME(vTaskDimension, pLoadSubset, vLoadIndex);
vLoadElementName = ATTRS(vTaskDimension, vLoadElement, 'Name');

if (vLoadElementName @= '');
vLoadElementName = ATTRS(vTaskDimension, vLoadElement, 'Task');
if (vLoadElementName @= '');
vLoadElementName = vLoadElement;
endif;
endif;


vDimSize = SUBSETGETSIZE(vExistingDimension, pSubset);
vIndex = 1;
while (vIndex <= vDimSize);
vOriginalElement = SUBSETGETELEMENTNAME(vExistingDimension, pSubset, vIndex);
vElement = vLoadElement | '-' | vOriginalElement ;

if (pAliasName @<> '');
vOriginalAlias = attrs(pDimension, vOriginalElement, pAliasName);
else;
vOriginalAlias = vElement;
endif;
if (pAppendName @= 'Y' & vLoadElementName @<> '');
vElementName = vOriginalAlias | ' (' | vLoadElementName | ')';
else;
vElementName = vOriginalAlias;
endif;


vMapIndex = 1;
vMapMax = 3;
while (vMapIndex <= vMapMax);
vMapStr = str(vMapIndex, 1, 0);
vParentValue = ATTRS(vTaskDimension, vLoadElement, 'dimension' | vMapStr);

if (vParentValue @= '');
ATTRPUTS(pDimension, vTaskDimension, vElement, 'dimension' | vMapStr);
ATTRPUTS(pSubset, vTaskDimension, vElement, 'subset' | vMapStr);
ATTRPUTS(vOriginalElement , vTaskDimension, vElement, 'element' | vMapStr);
vMapIndex = vMapMax;
else;
ATTRPUTS(vParentValue, vTaskDimension, vElement, 'dimension' | vMapStr);
ATTRPUTS(ATTRS(vTaskDimension, vLoadElement, 'subset' | vMapStr), vTaskDimension, vElement, 'subset' | vMapStr);
ATTRPUTS(ATTRS(vTaskDimension, vLoadElement, 'element' | vMapStr) , vTaskDimension, vElement, 'element' | vMapStr);
endif;
vMapIndex = vMapIndex + 1;
end;

ATTRPUTS(vElement, vTaskDimension, vElement, 'task');
ATTRPUTS(vElementName, vTaskDimension, vElement, 'Name');
vGroup = '}' | 'smt_' | pTemplate | '_' | vElement;
#ATTRPUTS(vGroup, vTaskDimension, vElement, 'Owner Group');

vIndex = vIndex + 1;
end;

vLoadIndex = vLoadIndex + 1;
end;
ATTRPUTS(pTaskType, vTaskDimension, vElement, 'Type');


#SECURITYREFRESH;

576,CubeAction=1511	DataAction=1503	CubeLogChanges=0	
638,1
804,0
900,
901,
902,
903,
906,
907,
908,
904,0
905,0
909,0
910,0
911,
912,
913,
914,
915,
916,
